[Swift-commit] r7011 - in trunk/tests/sites: . local local-coasters

davidk at ci.uchicago.edu davidk at ci.uchicago.edu
Tue Aug 27 00:45:56 CDT 2013


Author: davidk
Date: 2013-08-27 00:45:56 -0500 (Tue, 27 Aug 2013)
New Revision: 7011

Added:
   trunk/tests/sites/local-coasters/
   trunk/tests/sites/local-coasters/200-cp.check.sh
   trunk/tests/sites/local-coasters/200-cp.clean.sh
   trunk/tests/sites/local-coasters/200-cp.setup.sh
   trunk/tests/sites/local-coasters/200-cp.swift
   trunk/tests/sites/local-coasters/201-cp.check.sh
   trunk/tests/sites/local-coasters/201-cp.clean.sh
   trunk/tests/sites/local-coasters/201-cp.setup.sh
   trunk/tests/sites/local-coasters/201-cp.swift
   trunk/tests/sites/local-coasters/README.txt
   trunk/tests/sites/local-coasters/sites.template.xml
   trunk/tests/sites/local-coasters/tc.template.data
   trunk/tests/sites/local-coasters/title.txt
   trunk/tests/sites/local/
   trunk/tests/sites/local/001-catsn-local.check.sh
   trunk/tests/sites/local/001-catsn-local.setup.sh
   trunk/tests/sites/local/001-catsn-local.swift
   trunk/tests/sites/local/001-catsn-local.timeout
   trunk/tests/sites/local/catsn.0001.out.expected
   trunk/tests/sites/local/catsn.0002.out.expected
   trunk/tests/sites/local/catsn.0003.out.expected
   trunk/tests/sites/local/catsn.0004.out.expected
   trunk/tests/sites/local/catsn.0005.out.expected
   trunk/tests/sites/local/catsn.0006.out.expected
   trunk/tests/sites/local/catsn.0007.out.expected
   trunk/tests/sites/local/catsn.0008.out.expected
   trunk/tests/sites/local/catsn.0009.out.expected
   trunk/tests/sites/local/catsn.0010.out.expected
   trunk/tests/sites/local/data.txt
   trunk/tests/sites/local/sites.template.xml
   trunk/tests/sites/local/tc.template.data
   trunk/tests/sites/local/title.txt
Log:
Local and local-coasters site configs


Added: trunk/tests/sites/local/001-catsn-local.check.sh
===================================================================
--- trunk/tests/sites/local/001-catsn-local.check.sh	                        (rev 0)
+++ trunk/tests/sites/local/001-catsn-local.check.sh	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+set -x
+
+for count in `seq --format "%04.f" 1 1 10`
+do
+	[ -f catsn.$count.out ] || exit 1
+	CONTENTS1=$( cat catsn.$count.out.expected )
+	CONTENTS2=$( cat catsn.$count.out )
+	[[ $CONTENTS1 == $CONTENTS2 ]] || exit 1
+done
+exit 0


Property changes on: trunk/tests/sites/local/001-catsn-local.check.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: trunk/tests/sites/local/001-catsn-local.setup.sh
===================================================================
--- trunk/tests/sites/local/001-catsn-local.setup.sh	                        (rev 0)
+++ trunk/tests/sites/local/001-catsn-local.setup.sh	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1,4 @@
+#!/bin/bash
+
+cp -v $GROUP/data.txt . || exit 1
+cp -v $GROUP/*expected . || exit 1


Property changes on: trunk/tests/sites/local/001-catsn-local.setup.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: trunk/tests/sites/local/001-catsn-local.swift
===================================================================
--- trunk/tests/sites/local/001-catsn-local.swift	                        (rev 0)
+++ trunk/tests/sites/local/001-catsn-local.swift	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1,15 @@
+type file;
+
+app (file o) cat (file i)
+{
+  cat @i stdout=@o;
+}
+
+string t = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789";
+string char[] = @strsplit(t, "");  
+
+file out[]<simple_mapper; location=".", prefix="catsn.",suffix=".out">;
+foreach j in [1:@toint(@arg("n","10"))] {
+  file data<"data.txt">;
+  out[j] = cat(data);
+}

Added: trunk/tests/sites/local/001-catsn-local.timeout
===================================================================
--- trunk/tests/sites/local/001-catsn-local.timeout	                        (rev 0)
+++ trunk/tests/sites/local/001-catsn-local.timeout	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1 @@
+30

Added: trunk/tests/sites/local/catsn.0001.out.expected
===================================================================
--- trunk/tests/sites/local/catsn.0001.out.expected	                        (rev 0)
+++ trunk/tests/sites/local/catsn.0001.out.expected	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1 @@
+Hello world

Added: trunk/tests/sites/local/catsn.0002.out.expected
===================================================================
--- trunk/tests/sites/local/catsn.0002.out.expected	                        (rev 0)
+++ trunk/tests/sites/local/catsn.0002.out.expected	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1 @@
+Hello world

Added: trunk/tests/sites/local/catsn.0003.out.expected
===================================================================
--- trunk/tests/sites/local/catsn.0003.out.expected	                        (rev 0)
+++ trunk/tests/sites/local/catsn.0003.out.expected	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1 @@
+Hello world

Added: trunk/tests/sites/local/catsn.0004.out.expected
===================================================================
--- trunk/tests/sites/local/catsn.0004.out.expected	                        (rev 0)
+++ trunk/tests/sites/local/catsn.0004.out.expected	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1 @@
+Hello world

Added: trunk/tests/sites/local/catsn.0005.out.expected
===================================================================
--- trunk/tests/sites/local/catsn.0005.out.expected	                        (rev 0)
+++ trunk/tests/sites/local/catsn.0005.out.expected	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1 @@
+Hello world

Added: trunk/tests/sites/local/catsn.0006.out.expected
===================================================================
--- trunk/tests/sites/local/catsn.0006.out.expected	                        (rev 0)
+++ trunk/tests/sites/local/catsn.0006.out.expected	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1 @@
+Hello world

Added: trunk/tests/sites/local/catsn.0007.out.expected
===================================================================
--- trunk/tests/sites/local/catsn.0007.out.expected	                        (rev 0)
+++ trunk/tests/sites/local/catsn.0007.out.expected	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1 @@
+Hello world

Added: trunk/tests/sites/local/catsn.0008.out.expected
===================================================================
--- trunk/tests/sites/local/catsn.0008.out.expected	                        (rev 0)
+++ trunk/tests/sites/local/catsn.0008.out.expected	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1 @@
+Hello world

Added: trunk/tests/sites/local/catsn.0009.out.expected
===================================================================
--- trunk/tests/sites/local/catsn.0009.out.expected	                        (rev 0)
+++ trunk/tests/sites/local/catsn.0009.out.expected	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1 @@
+Hello world

Added: trunk/tests/sites/local/catsn.0010.out.expected
===================================================================
--- trunk/tests/sites/local/catsn.0010.out.expected	                        (rev 0)
+++ trunk/tests/sites/local/catsn.0010.out.expected	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1 @@
+Hello world

Added: trunk/tests/sites/local/data.txt
===================================================================
--- trunk/tests/sites/local/data.txt	                        (rev 0)
+++ trunk/tests/sites/local/data.txt	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1 @@
+Hello world

Added: trunk/tests/sites/local/sites.template.xml
===================================================================
--- trunk/tests/sites/local/sites.template.xml	                        (rev 0)
+++ trunk/tests/sites/local/sites.template.xml	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1,9 @@
+<config>
+<pool handle="localhost">
+  <execution provider="local" />
+  <gridftp url="local://localhost" />
+  <profile key="initialScore" namespace="karajan">10000</profile>
+  <profile key="jobThrottle" namespace="karajan">.31</profile>
+  <workdirectory>_WORK_</workdirectory>
+</pool>
+</config>

Added: trunk/tests/sites/local/tc.template.data
===================================================================
--- trunk/tests/sites/local/tc.template.data	                        (rev 0)
+++ trunk/tests/sites/local/tc.template.data	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1,8 @@
+localhost 	echo 		/bin/echo	INSTALLED	INTEL32::LINUX
+localhost 	cat 		/bin/cat	INSTALLED	INTEL32::LINUX
+localhost 	ls 		/bin/ls		INSTALLED	INTEL32::LINUX
+localhost 	grep 		/bin/grep	INSTALLED	INTEL32::LINUX
+localhost 	sort 		/bin/sort	INSTALLED	INTEL32::LINUX
+localhost 	paste 		/bin/paste	INSTALLED	INTEL32::LINUX
+localhost	wc		/usr/bin/wc	INSTALLED	INTEL32::LINUX
+

Added: trunk/tests/sites/local/title.txt
===================================================================
--- trunk/tests/sites/local/title.txt	                        (rev 0)
+++ trunk/tests/sites/local/title.txt	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1 @@
+Local Configuration Test

Added: trunk/tests/sites/local-coasters/200-cp.check.sh
===================================================================
--- trunk/tests/sites/local-coasters/200-cp.check.sh	                        (rev 0)
+++ trunk/tests/sites/local-coasters/200-cp.check.sh	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -x
+
+grep $( uname -m ) 200-input.txt  || exit 1
+grep $( uname -m ) 200-output.txt || exit 1
+
+exit 0


Property changes on: trunk/tests/sites/local-coasters/200-cp.check.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: trunk/tests/sites/local-coasters/200-cp.clean.sh
===================================================================
--- trunk/tests/sites/local-coasters/200-cp.clean.sh	                        (rev 0)
+++ trunk/tests/sites/local-coasters/200-cp.clean.sh	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -x
+
+rm -rv 200-output.txt || exit 1
+
+exit 0


Property changes on: trunk/tests/sites/local-coasters/200-cp.clean.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: trunk/tests/sites/local-coasters/200-cp.setup.sh
===================================================================
--- trunk/tests/sites/local-coasters/200-cp.setup.sh	                        (rev 0)
+++ trunk/tests/sites/local-coasters/200-cp.setup.sh	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -x
+
+{
+  uname -a
+  date
+} > 200-input.txt
+
+exit 0


Property changes on: trunk/tests/sites/local-coasters/200-cp.setup.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: trunk/tests/sites/local-coasters/200-cp.swift
===================================================================
--- trunk/tests/sites/local-coasters/200-cp.swift	                        (rev 0)
+++ trunk/tests/sites/local-coasters/200-cp.swift	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1,10 @@
+
+type file;
+
+app (file o) cp(file i)
+{
+  cp @i @o;
+}
+
+file input<"200-input.txt">;
+file output<"200-output.txt"> = cp(input);

Added: trunk/tests/sites/local-coasters/201-cp.check.sh
===================================================================
--- trunk/tests/sites/local-coasters/201-cp.check.sh	                        (rev 0)
+++ trunk/tests/sites/local-coasters/201-cp.check.sh	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -x
+
+COUNT=$( ls 201-output* | wc -l )
+
+[[ $COUNT == 40 ]] || exit 1
+
+exit 0


Property changes on: trunk/tests/sites/local-coasters/201-cp.check.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: trunk/tests/sites/local-coasters/201-cp.clean.sh
===================================================================
--- trunk/tests/sites/local-coasters/201-cp.clean.sh	                        (rev 0)
+++ trunk/tests/sites/local-coasters/201-cp.clean.sh	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -x
+
+rm -rv 201-output-[12]-*.txt || exit 1
+
+exit 0


Property changes on: trunk/tests/sites/local-coasters/201-cp.clean.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: trunk/tests/sites/local-coasters/201-cp.setup.sh
===================================================================
--- trunk/tests/sites/local-coasters/201-cp.setup.sh	                        (rev 0)
+++ trunk/tests/sites/local-coasters/201-cp.setup.sh	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -x
+
+{
+  uname -a
+  date
+} > 201-input-1.txt
+
+cp -v 201-input-1.txt 201-input-2.txt
+
+exit 0


Property changes on: trunk/tests/sites/local-coasters/201-cp.setup.sh
___________________________________________________________________
Added: svn:executable
   + *

Added: trunk/tests/sites/local-coasters/201-cp.swift
===================================================================
--- trunk/tests/sites/local-coasters/201-cp.swift	                        (rev 0)
+++ trunk/tests/sites/local-coasters/201-cp.swift	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1,24 @@
+
+type file;
+
+app (file o) cp(file i)
+{
+  cp @i @o;
+}
+
+file input1<"201-input-1.txt">;
+file input2<"201-input-2.txt">;
+
+foreach i in [1:20]
+{
+  string s = @strcat("201-output-1-", i, ".txt");
+  file output<single_file_mapper;file=s>;
+  output = cp(input1);
+}
+
+foreach j in [1:20]
+{
+  string s = @strcat("201-output-2-", j, ".txt");
+  file output<single_file_mapper;file=s>;
+  output = cp(input2);
+}


Property changes on: trunk/tests/sites/local-coasters/201-cp.swift
___________________________________________________________________
Added: svn:executable
   + *

Added: trunk/tests/sites/local-coasters/README.txt
===================================================================
--- trunk/tests/sites/local-coasters/README.txt	                        (rev 0)
+++ trunk/tests/sites/local-coasters/README.txt	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1,5 @@
+
+Tests for basic Coasters functionality on local machine
+
+200 series: Simple jobs, simple settings
+

Added: trunk/tests/sites/local-coasters/sites.template.xml
===================================================================
--- trunk/tests/sites/local-coasters/sites.template.xml	                        (rev 0)
+++ trunk/tests/sites/local-coasters/sites.template.xml	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1,24 @@
+<config>
+
+  <pool handle="localhost" sysinfo="INTEL32::LINUX">
+    <gridftp url="local://localhost" />
+    <execution provider="local" url="none" />
+    <workdirectory>_WORK_</workdirectory>
+    <profile namespace="swift" key="stagingMethod">file</profile>
+  </pool>
+
+  <pool handle="coasterslocal">
+    <filesystem provider="local" />
+    <execution provider="coaster" jobmanager="local:local"/>
+    <profile namespace="globus"   key="internalHostname">_HOST_</profile>
+    <profile namespace="karajan"  key="jobthrottle">2.55</profile>
+    <profile namespace="karajan"  key="initialScore">10000</profile>
+    <profile namespace="globus"   key="jobsPerNode">4</profile>
+    <profile namespace="globus"   key="slots">8</profile>
+    <profile namespace="globus"   key="maxTime">1000</profile>
+    <profile namespace="globus"   key="nodeGranularity">1</profile>
+    <profile namespace="globus"   key="maxNodes">4</profile>
+    <workdirectory>_WORK_</workdirectory>
+  </pool>
+
+</config>

Added: trunk/tests/sites/local-coasters/tc.template.data
===================================================================
--- trunk/tests/sites/local-coasters/tc.template.data	                        (rev 0)
+++ trunk/tests/sites/local-coasters/tc.template.data	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1,19 @@
+#This is the transformation catalog.
+#
+#It comes pre-configured with a number of simple transformations with
+#paths that are likely to work on a linux box. However, on some systems,
+#the paths to these executables will be different (for example, sometimes
+#some of these programs are found in /usr/bin rather than in /bin)
+#
+#NOTE WELL: fields in this file must be separated by tabs, not spaces; and
+#there must be no trailing whitespace at the end of each line.
+#
+# sitename  transformation  path   INSTALLED  platform  profiles
+localhost 	echo 		/bin/echo	INSTALLED	INTEL32::LINUX	null
+localhost 	cat 		/bin/cat	INSTALLED	INTEL32::LINUX	null
+localhost 	ls 		/bin/ls		INSTALLED	INTEL32::LINUX	null
+localhost 	grep 		/bin/grep	INSTALLED	INTEL32::LINUX	null
+localhost 	sort 		/bin/sort	INSTALLED	INTEL32::LINUX	null
+localhost 	paste 		/bin/paste	INSTALLED	INTEL32::LINUX	null
+
+coasterslocal 	cp 		/bin/cp         INSTALLED	INTEL32::LINUX	null

Added: trunk/tests/sites/local-coasters/title.txt
===================================================================
--- trunk/tests/sites/local-coasters/title.txt	                        (rev 0)
+++ trunk/tests/sites/local-coasters/title.txt	2013-08-27 05:45:56 UTC (rev 7011)
@@ -0,0 +1 @@
+Local coasters




More information about the Swift-commit mailing list